/*
 * Copyright (c) 1998 S Cubed. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * S CUBED MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. S CUBED SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package Samples;

import java.io.*;

/**
 * This class provides a filename extension filter.
 * A file will be acceptedif its name ends with the specified extension.
 */

public class ExtensionFilter implements FilenameFilter {
    private String extension;  
/**
 * Constructs an ExtensionFilter.
 *
 * @param extension a filename extension.
 */
public ExtensionFilter(String extension) {
    this.extension = extension;
    }
/**
 * Returns true if the filename has the specified extension, else false.
 *
 * @param dir	The directory of the file
 * @param name	The name of the file
 * @return true if the filename has the specified extension, else false
 */
    public boolean accept(File dir, String name) {
        if (name.endsWith(extension)) return true;
        else return (new File(dir, name)).isDirectory();
    }
}
